import time

__version__ = '0.1'
__author__ = 'Masatoshi Nishioka'

def example_01():
    # 2/1 ϡ1/1鲿ܡ
    print date_to_jdy(2,1)
    # 1/132ܤϡ
    print jdy_to_date(32)

def date_to_jdy(mon, idy, base_year=2002):
    """
    ǯ١̻(Julian Day)֤

    2000,2004ǯϱǯ. 夬ǯǤʤ2002defaultȤƴǯѤ롣

    @param  mon: 
    @param  idy: 

    @return: ǯ١̻
    """

    tm0 = time.mktime([base_year, mon, idy, 0, 0, 0, 0, 1, -1])
    tm1 = time.localtime(tm0)
    return tm1[7]


def jdy_to_date(nday, tm_base=1009810800L):
    """
    date_to_jdyεմؿ

    @param tm_base: date_to_jdyǻѤǯEpochÿ
       - default, 2002/01/01 --> 1009810800L
    @return: (mm, dd)
       - mm  : 
       - dd  : 
    """
    tm1 = tm_base+(nday-1)*86400
    tm2 = time.localtime(tm1)
    return tm2[1], tm2[2]

if __name__ == '__main__':
    example_01()
